Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 458883 - rhncfg rpms missing from fedora spacewalk repo
Summary: rhncfg rpms missing from fedora spacewalk repo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 0.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pradeep Kilambi
QA Contact: Red Hat Satellite QA List
URL: na
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-08-12 21:11 UTC by wes hayutin
Modified: 2009-01-22 16:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:29:48 UTC


Attachments (Terms of Use)

Description wes hayutin 2008-08-12 21:11:41 UTC
Description of problem:

thought I had a bug on this, but I guess I dont.

rhncfg rhncfg-client rhncfg-actions rpms are missing from the fedora spacewalk repo.

http://spacewalk.redhat.com/yum/fedora/9/i386/

these rpms need to be added so fedora users can use config mang.
thanks

Comment 1 Pradeep Kilambi 2008-09-19 21:57:15 UTC
637 build (dist-f9-sw, rhncfg-0.2.2-1.fc9.src.rpm): open (test08-64.rhndev.redhat.com) -> closed
  0 free  0 open  3 done  0 failed

637 build (dist-f9-sw, rhncfg-0.2.2-1.fc9.src.rpm) completed successfully


rhncfg packages should now be in koji

Comment 2 Pradeep Kilambi 2008-09-26 19:07:20 UTC
pushed LIVE. 

rhncfg-0.2.2-1.fc9.noarch.rpm
rhncfg-actions-0.2.2-1.fc9.noarch.rpm
rhncfg-client-0.2.2-1.fc9.noarch.rpm
rhncfg-management-0.2.2-1.fc9.noarch.rpm

Comment 3 Devan Goodwin 2008-11-04 14:22:19 UTC
All packages visible in the spacewalk 0.3 repos. Verified.

Comment 4 John Matthews 2008-11-04 19:56:45 UTC
I think we might be missing a package, I don't see "python-optik" available from Fedora.


sudo yum install rhncfg*
Loaded plugins: protectbase, refresh-packagekit
4 packages excluded due to repository protections
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package rhncfg-actions.noarch 0:0.2.2-1.fc9 set to be updated
---> Package rhncfg.noarch 0:0.2.2-1.fc9 set to be updated
---> Package rhncfg-management.noarch 0:0.2.2-1.fc9 set to be updated
--> Processing Dependency: python-optik for package: rhncfg-management
---> Package rhncfg-client.noarch 0:0.2.2-1.fc9 set to be updated
--> Processing Dependency: python-optik for package: rhncfg-client
--> Finished Dependency Resolution
rhncfg-client-0.2.2-1.fc9.noarch from spacewalk has depsolving problems
  --> Missing Dependency: python-optik is needed by package rhncfg-client-0.2.2-1.fc9.noarch (spacewalk)
rhncfg-management-0.2.2-1.fc9.noarch from spacewalk has depsolving problems
  --> Missing Dependency: python-optik is needed by package rhncfg-management-0.2.2-1.fc9.noarch (spacewalk)
Error: Missing Dependency: python-optik is needed by package rhncfg-client-0.2.2-1.fc9.noarch (spacewalk)
Error: Missing Dependency: python-optik is needed by package rhncfg-management-0.2.2-1.fc9.noarch (spacewalk)

Comment 5 Pradeep Kilambi 2008-11-25 19:14:38 UTC
fixed! no more python-optik required

$ rpm -Uvh  noarch/rhncfg-*
Preparing...                ########################################### [100%]
   1:rhncfg                 ########################################### [ 25%]
   2:rhncfg-client          ########################################### [ 50%]
   3:rhncfg-actions         ########################################### [ 75%]
   4:rhncfg-management      ########################################### [100%]


Note You need to log in before you can comment on or make changes to this bug.